Bug 842401 - python-application doesn't works with python 2.6
python-application doesn't works with python 2.6
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-application (Show other bugs)
el6
Unspecified All
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 14:50 EDT by Pavel Zalunin
Modified: 2012-09-21 16:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 13:25:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Zalunin 2012-07-23 14:50:43 EDT
Description of problem:

python-application version 1.3.1 don't works with python 2.6, that installed by default. And python-application is installed in 2.6's site-packages.

How reproducible:

Steps to Reproduce:
1.yum install python-application
2.python
Python 2.6.8 (unknown, May 18 2012, 19:33:38) 
[GCC 4.4.6 20110731 (Red Hat 4.4.6-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import application.process
  
Actual results:
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.6/site-packages/application/process.py", line 24, in <module>
    class Process(object):
  File "/usr/lib/python2.6/site-packages/application/python/types.py", line 23, in __init__
    @preserve_signature(initializer)
  File "/usr/lib/python2.6/site-packages/application/python/decorator.py", line 21, in preserve_signature
    class ValueFormatter(count):
TypeError: Error when calling the metaclass bases
    Error when calling the metaclass bases
    type 'itertools.count' is not an acceptable base type

Expected results:
Should import

Additional info:

It seems to issue with python-application of this version, with 1.3.2 installed manually there are no problems.
Comment 1 Fedora Update System 2012-09-03 00:59:42 EDT
python-application-1.4.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-application-1.4.0-1.fc17
Comment 2 Fedora Update System 2012-09-03 00:59:58 EDT
python-application-1.4.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-application-1.4.0-1.fc16
Comment 3 Fedora Update System 2012-09-03 01:00:17 EDT
python-application-1.4.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-application-1.4.0-1.el6
Comment 4 Fedora Update System 2012-09-03 01:00:34 EDT
python-application-1.4.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-application-1.4.0-1.fc18
Comment 5 Fedora Update System 2012-09-03 13:23:03 EDT
Package python-application-1.4.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-application-1.4.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13211/python-application-1.4.0-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-09-17 13:25:27 EDT
python-application-1.4.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-09-17 13:31:29 EDT
python-application-1.4.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Pavel Zalunin 2012-09-17 13:44:47 EDT
Just checked on epel repo (package python-application.noarch 0:1.4.0-1.el6) problem is solved. Thanks!
Comment 9 Fedora Update System 2012-09-17 18:34:39 EDT
python-application-1.4.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-09-21 16:59:08 EDT
python-application-1.4.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.